[Fix] `exec`: `--` should stop argument parsing

Co-authored-by: Vesa Vilhonen <vesa@vilhonen.com>
Co-authored-by: Sladyn Nunes <sladynnunes98@gmail.com>
diff --git a/nvm.sh b/nvm.sh
index d1947f3..b5232c6 100644
--- a/nvm.sh
+++ b/nvm.sh
@@ -2612,6 +2612,7 @@
   for i in "$@"
   do
     case $i in
+      --) break ;;
       '-h'|'help'|'--help')
         NVM_NO_COLORS=""
         for j in "$@"; do
diff --git "a/test/slow/nvm exec/Running \047nvm exec\047 with help should not parse" "b/test/slow/nvm exec/Running \047nvm exec\047 with help should not parse"
new file mode 100644
index 0000000..4e8b632
--- /dev/null
+++ "b/test/slow/nvm exec/Running \047nvm exec\047 with help should not parse"
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+die () { echo "$@" ; exit 1; }
+
+\. ../../../nvm.sh
+
+nvm use 0.10
+
+nvm exec stable -- node --help | grep 'Usage: node [options]' || die "Help menu should have been displayed for node and not nvm"